<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>assira.project</artifactId>
        <groupId>net.ranides</groupId>
        <version>2.8.4-SNAPSHOT</version>
    </parent>

    <artifactId>assira.lambda</artifactId>
    <packaging>jar</packaging>

    <name>${project.groupId}:${project.artifactId}</name>
    <description>assira: general purpose java library: lamba support</description>

    <properties>
        <assira.junit.debug>false</assira.junit.debug>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <compilerArgs>
                        <argument>-Xlint:unchecked</argument>
                        <argument>-Xlint:removal</argument>
                        <argument>-parameters</argument>
                        <argument>--add-exports</argument>
                        <argument>java.base/jdk.internal.reflect=ALL-UNNAMED</argument>
                    </compilerArgs>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <excludedGroups>net.ranides.assira.junit.JCategories$Slow,net.ranides.assira.junit.JCategories$UnstableTest</excludedGroups>
                    <argLine>--add-exports java.base/jdk.internal.reflect=ALL-UNNAMED</argLine>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.core</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.core11</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.junit</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
    </dependencies>

</project>